svn commit: r249301 - user/pho/stress2/misc

Peter Holm pho at FreeBSD.org
Tue Apr 9 08:42:10 UTC 2013


Author: pho
Date: Tue Apr  9 08:42:10 2013
New Revision: 249301
URL: http://svnweb.freebsd.org/changeset/base/249301

Log:
  Add a TCP test scenario.

Added:
  user/pho/stress2/misc/tcp.sh   (contents, props changed)

Added: user/pho/stress2/misc/tcp.sh
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ user/pho/stress2/misc/tcp.sh	Tue Apr  9 08:42:10 2013	(r249301)
@@ -0,0 +1,63 @@
+#!/bin/sh
+
+#
+# Copyright (c) 2013 Peter Holm <pho at FreeBSD.org>
+# All rights reserved.
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions
+# are met:
+# 1. Redistributions of source code must retain the above copyright
+#    notice, this list of conditions and the following disclaimer.
+# 2. Redistributions in binary form must reproduce the above copyright
+#    notice, this list of conditions and the following disclaimer in the
+#    documentation and/or other materials provided with the distribution.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
+# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
+# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
+# ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
+# FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
+# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
+# OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
+# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
+# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
+# OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
+# SUCH DAMAGE.
+#
+# $FreeBSD$
+#
+
+# "panic: tcp_do_segment: TCPS_LISTEN" seen:
+# http://people.freebsd.org/~pho/stress/log/tcp.txt
+
+[ `id -u ` -ne 0 ] && echo "Must be root!" && exit 1
+
+. ../default.cfg
+
+mount | grep "on $mntpoint " | grep -q /dev/md && umount -f $mntpoint
+mdconfig -l | grep -q md$mdstart &&  mdconfig -d -u $mdstart
+
+mdconfig -a -t swap -s 1g -u $mdstart || exit 1
+bsdlabel -w md$mdstart auto
+newfs -U md${mdstart}$part > /dev/null
+mount /dev/md${mdstart}$part $mntpoint
+chmod 777 $mntpoint
+
+rm -rf /tmp/stressX.control
+export RUNDIR=$mntpoint/stressX
+[ ! -d $RUNDIR ] && mkdir -p $RUNDIR
+chmod 777 $RUNDIR
+export runRUNTIME=15m
+export tcpLOAD=100
+n=`su $testuser -c "limits | grep maxprocesses | awk '{print \\$NF}'"`
+n=$((n / 2 - 10))
+export tcpINCARNATIONS=$n
+export TESTPROGS=" ./testcases/tcp/tcp"
+
+su $testuser -c '(cd ..; ./testcases/run/run $TESTPROGS)'
+
+while mount | grep "on $mntpoint " | grep -q /dev/md; do
+	umount $mntpoint || sleep 1
+done
+mdconfig -d -u $mdstart


More information about the svn-src-user mailing list